Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.cookie
Class CookiePathComparator

    java.lang.Object
      org.apache.http.cookie.CookiePathComparator

All Implemented Interfaces:
  Serializable, Comparator<Cookie>

    @Immutable
    public class CookiePathComparator

extends Object
implements Serializable, Comparator<Cookie>

This cookie comparator ensures that multiple cookies satisfying a common criteria are ordered in the `Cookie` header such that those with more specific Path attributes precede those with less specific.

This comparator assumes that Path attributes of two cookies path-match a commmon request-URI. Otherwise, the result of the comparison is undefined.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`CookiePathComparator()`

Method Summary
`int` | `compare(Cookie c1, Cookie c2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### CookiePathComparator

    public CookiePathComparator()

Method Detail

### compare

    public int compare(Cookie c1,
                       Cookie c2)

  Specified by:
    `compare` in interface `Comparator<Cookie>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.